Recurring Billing Key Issuance API
Issues a recurring billing key (BillKey) for subscription payments. Call this API after checkout authentication completes to obtain a key for future recurring charges.
Test Credentials
API Information
POST/APIRegularpayKey.do
Content-Type
application/json; charset=UTF-8테스트
https://tbezauthapi.settlebank.co.kr/APIRegularpayKey.do운영
https://ezauthapi.settlebank.co.kr:8081/APIRegularpayKey.doRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code.
Message type code.
*Fixed value
└apiVerAN(4)Alphanumeric, up to 4 bytes*API version.
API version.
*Fixed value
└mercntIdAN(8)Alphanumeric, up to 8 bytes*Unique merchant identifier assigned by Hecto Financial.
Unique merchant identifier assigned by Hecto Financial.
└authNoAN(20)Alphanumeric, up to 20 bytes*Authentication number received from the checkout callback.
Authentication number received from the checkout callback.
└reqDayN(8)Numeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTimeN(6)Numeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└signatureAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value for tamper protection.(실시간 생성)SHA-256 hash value for tamper protection.
NOTE
Signature Composition
mercntId + authNo + reqDay + reqTime + hashKey
Response Parameters
└resultCdN(1)Numeric, up to 1 bytes*Result code.
0Result code.
0: Success -1: Failure└errCdAN(5)Alphanumeric, up to 5 bytes*Error code. See error code reference.
0000Error code. See error code reference.
└resultMsgAN(200)Alphanumeric, up to 200 bytes*Human-readable result message.
SuccessHuman-readable result message.
└mercntIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID assigned by Hecto Financial.
ms00003tMerchant ID assigned by Hecto Financial.
└ordNoAN(100)Alphanumeric, up to 100 bytes*Order number associated with this billing key.
OID201902210001Order number associated with this billing key.
└trNoAN(50)Alphanumeric, up to 50 bytes*Hecto Financial transaction reference number.
STFP_PNPTms00001t00220922182409M1962430Hecto Financial transaction reference number.
└trDayN(8)Numeric, up to 8 bytes*Transaction date (yyyyMMdd).
20190221Transaction date (yyyyMMdd).
└trTimeN(8)Numeric, up to 8 bytes*Transaction time (HH24MISS).
142120Transaction time (HH24MISS).
└regularpayKeyAN(32)Alphanumeric, up to 32 bytes*Recurring billing key (BillKey). Store securely and use for subsequent recurring charges.
Recurring billing key (BillKey). Store securely and use for subsequent recurring charges.
└bankAcctNoAN(20)Alphanumeric, up to 20 bytesMasked bank account number.
123*****789Masked bank account number.
└bankCdAN(3)Alphanumeric, up to 3 bytesBank code.
011Bank code.
Need technical support?
Code Samples
HectoFinancial GitHub